using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// I_Keywords 的摘要说明
/// </summary>
namespace Keywords
{
    public interface IKeywords
    {
        int Insert(TKeywords us);                  //添加关键词信息
        int Update(TKeywords us);                  //修改关键词信息
        int UpdateReCommend(TKeywords eui);        //修改推荐信息
        int Delete(int ID);                        //根据ID删除关键词信息
        DataTable GetDataTable();                  //取得关键词信息
        DataTable GetDataTable(string strWhere);   //根据strWhere条件取得关键词信息
        TKeywords GateItem(int ID);                //根据ID取得关键词信息
    }
}
